﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using Microsoft.ServiceHosting.ServiceRuntime;

namespace TheCIAPickup_WebRole
{
    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute("twilio", "twilio/{action}", new { controller = "twilio", action = "index" });
            routes.MapRoute("authentication", "authentication", new { controller = "authentication", action = "handle" });
            routes.MapRoute("default", "{action}", new { controller = "home", action = "index" });
        }

        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);
            this.Error += new EventHandler((object sender, EventArgs e) =>
            {
                RoleManager.WriteToLog("Error", Server.GetLastError().ToString());
            });
        }
    }
}