<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="right">
        <% if (ViewData["ain"] == null)
           { %>
            <h2>Sign Up</h2>
            <% if ((bool)ViewData["loggedIn"]) { %>
                <p>Already signed up without logging in?<br /><a href='<%= Url.Action("link") %>'>Link your AIN to this Live ID user.</a></p>
            <% } %>
            <% if (!(bool)ViewData["loggedIn"]) { %>
                <p>You'll need to log in with the button in the upper-right corner before you can sign up.</p>
            <% } %>
            <form method="post" action='<%= Url.Action("create") %>'>
                <table>
                    <tbody>
                        <tr>
                            <th>5-digit Agent Identification Number (AIN):</th>
                            <td><%= Html.TextBox("ain", null, (bool)ViewData["loggedIn"] ? null : new { disabled = "disabled" }) %></td>
                        </tr>
                        <tr>
                            <th>Your name (read as "Agent &lt;your name&gt;"):</th>
                            <td><%= Html.TextBox("name", null, (bool)ViewData["loggedIn"] ? null : new { disabled = "disabled" }) %></td>
                        </tr>
                        <tr>
                            <th>Your email address (to send phone numbers to):</th>
                            <td><%= Html.TextBox("emailAddress", null, (bool)ViewData["loggedIn"] ? null : new { disabled = "disabled" }) %></td>
                        </tr>
                        <tr>
                            <th />
                            <td>
                                <% if ((bool)ViewData["loggedIn"]) { %>
                                    <input type="submit" value="Submit" />
                                <% } else { %>
                                    <input type="submit" value="Submit" disabled="disabled" />
                                <% } %>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
        <% } %>
        <% else { %>
            <p>Hello Agent <%= ViewData["name"] %>!  Your Agent Identification Number is <span class="highlight"><%= ViewData["ain"] %></span>.</p>
            <p><a href='<%= Url.Action("calls") %>'>View the calls you've received so far.</a></p>
            <p><a href='<%= Url.Action("delete") %>'>Delete your account.</a></p>
        <% } %>
    </div>
    <h2>The Plan</h2>
    <ol>
        <li>Meet a girl and tell her you're in the CIA.</li>
        <li>...</li>
        <li>Get her phone number.</li>
    </ol>
    <h2>Our Job</h2>
    <p>We take care of step 2.</p>
    <h2>How it works</h2>
    <ul>
        <li>Sign up on the right.</li>
        <li>Give out our toll-free phone number: <span class="highlight"><%= ViewData["phonenumber"] %></span> along with your AIN.</li>
        <li>She calls, and we tell her that "Agent &lt;your name&gt;" is unavailable (<em>proving</em> you're a real CIA agent!).</li>
        <li>We email you her phone number, based on caller ID.</li>
    </ul>
    <h2>Additional Help</h2>
    <p>You may wish to purchase <a href="http://www.gremlin-bells.com/index.php?main_page=product_info&cPath=2_8&products_id=59">this jump wings pin for $4</a> to enhance your authenticity:</p>
    <a href="http://www.gremlin-bells.com/index.php?main_page=product_info&cPath=2_8&products_id=59"><img alt="jump wings pin" src="http://www.gremlin-bells.com/bmz_cache/d/d6c7e5839a647316c80aa20d4bd5aa6d.image.200x200.gif" /></a>
</asp:Content>